Bug 499123 - Missing path for Vim syntax highlighting of Apache configuration files
Missing path for Vim syntax highlighting of Apache configuration files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516996
  Show dependency treegraph
 
Reported: 2009-05-05 06:17 EDT by Chris Croome
Modified: 2009-12-21 23:59 EST (History)
1 user (show)

See Also:
Fixed In Version: 7.2.315-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 11:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Croome 2009-05-05 06:17:41 EDT
Description of problem:

Not all Apache configuration files have Apache syntax highlighting when they are opened in vim.

Version-Release number of selected component (if applicable):


How reproducible:

Create /etc/httpd/example.conf and add some Apache directives to it and it won't have Apache syntax highlighting

This is easy to fix, the file /usr/share/vim/vim70/filetype.vim needs this adding to the list of things to recognise as Apache config files:

 /etc/httpd/*.conf*

On Centos 5.0 this is on line 109 of the file, it starts like this:

 au BufNewFile,BufRead httpd.conf*
Comment 1 Bug Zapper 2009-11-18 07:51:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Karsten Hopp 2009-12-02 11:45:27 EST
This will be fixed in the next vim release
Comment 3 Fedora Update System 2009-12-03 09:28:54 EST
vim-7.2.315-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc12
Comment 4 Fedora Update System 2009-12-03 09:29:35 EST
vim-7.2.315-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc11
Comment 5 Fedora Update System 2009-12-03 09:30:12 EST
vim-7.2.315-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc10
Comment 6 Fedora Update System 2009-12-21 23:43:07 EST
vim-7.2.315-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-12-21 23:58:52 EST
vim-7.2.315-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.